#pragma once

#include <saas/rtyserver/modifier/deferred_index_updater.h>

class TIndexer;

class TDiskIndexUpdater : public TDeferredIndexUpdater {
public:
    TDiskIndexUpdater(TIndexer& owner);

    virtual bool UpdateDoc(ui32 docId, const TParsedDocument::TPtr doc) override;

protected:
    virtual bool UpdateDocNative(ui32 docId, const TParsedDocument::TPtr doc) override;

private:
    TIndexer& DiskIndex;
    THolder<TDeferredUpdatesStorage> Storage;
};
